ZIP_SOURCE_FILE(3)

NAME
zip_source_file - create data source from a file

LIBRARY
libzip (-lzip)

SYNOPSIS
struct zip_source *
zip_source_file(struct zip *archive, const char *fname, zip_uint64_t start, zip_int64_t len);

DESCRIPTION
The function zip_source_file() creates a zip source from a file. zip_source_file() opens fname and reads len bytes from offset start from it. If len is 0 or -1, the whole file (starting from start) is used.

The fie is opened and read when the data from the source is used, usually by zip_close().

RETURN VALUES
Upon successful completion, the created source is returned. Otherwise, NULL is returned and the error code in archive is set to indicate the error.

ERRORS
zip_source_file() fails if:

[ZIP_ER_INVAL]
    fname, start, or len are invalid.

[ZIP_ER_MEMORY]
    Required memory could not be allocated.

[ZIP_ER_OPEN]
    Opening fname failed.

SEE ALSO
libzip(3), zip_add(3), zip_replace(3), zip_source_buffer(3), zip_source_filep(3), zip_source_free(3), zip_source_function(3), zip_source_zip(3)

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>